# Este script sirve para activar el CLI como modo de gestión de la red GPON
# Se ha de importar el módulo telnetlib para la conexión Telnet y el módulo time
import telnetlib
import time

# Se define la dirección IP del host y el puerto de la conexión
host = "172.26.128.38"
port = "4555"

# Se define el usuario y el password
user = "root"
password = "root"

# Ahora se realiza la conexión y se introducen los comandos. Si hubiera un error, 
# saltaría la excepción y se mostraría un mensaje de error.
try:
    # Conexión Telnet al host y puerto anteriormente definidos. Si pasaran más 
    # de 5 segundos sin establecer conexión, aparecería un mensaje de error.
    tn = telnetlib.Telnet(host,port,5)
    # Se introducen el usuario y el password
    tn.write(user.encode('ascii') + b"\r")
    tn.write(password.encode('ascii') + b"\r")    
    # Ahora se introducen los comandos necesarios para la activación del CLI
    tn.write("system".encode('ascii') + b"\r")    
    tn.write("setProvisionEngineMode 1".encode('ascii') + b"\r")
    tn.write("applyProvisionEngineMode".encode('ascii') + b"\r")
    # Se para durante dos segundos el programa ya que el comando anterior
    # tiene un tiempo de ejecución mayor que otros
    time.sleep(2)
    # Con la función interact() se puede interactuar con la conexión Telnet y 
    # comprobar, si se quiere, que se ha activado el CLI. Esta línea es opcional.
    tn.interact()
    
except:
    print("Error")